System.register(["src/client/ContextJS/src/contextjs.js"], function (_export, _context) {
  "use strict";

  var cop;
  return {
    setters: [function (_srcClientContextJSSrcContextjsJs) {
      cop = _srcClientContextJSSrcContextjsJs;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_stablefocus_js = _recorder_._src_client_stablefocus_js || {};
      Object.defineProperty(_recorder_._src_client_stablefocus_js, "cop", {
        get() {
          return cop;
        },

        set(thisIsVererySecretVariableName) {
          cop = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });


      var StableFocusLayer = cop.layer(window, "StableFocusLayer").refineObject(document.body, {

        focus() {
          // call a special focus that will call the native focus...
          return cop.withoutLayers([StableFocusLayer], () => {
            lively.focusWithoutScroll(this);
          });
        }
      });

      Object.defineProperty(_recorder_._src_client_stablefocus_js, "StableFocusLayer", {
        get() {
          return StableFocusLayer;
        },

        set(thisIsVererySecretVariableName) {
          StableFocusLayer = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      StableFocusLayer.beGlobal();

      _export("default", StableFocusLayer);
    }
  };
});